<div class="page-card card-cover-title-overlay-description" id={{this.id}} ...attributes>
  <div class="picture-container">
    <PictureWithOptions class="card-cover" @deviceSize={{@deviceSize}} @src={{this.picture.picture}}
      @hash={{this.picture.hash}} @name={{this.picture.name}} @options={{this.pictureOptions}}
      {{on "click" this.transitionToCampaign}} data-name={{@value.name}} data-path="{{@path}}.data.picture">
      <div class="cover-overlay">
        <Card::Components::Title @record={{@record}} @options={{@value.data.title}} @destination={{this.destination}} @isEditor={{@isEditor}}
          @deviceSize={{@deviceSize}} data-path="{{@path}}.data.title" data-name={{@value.name}}
          {{did-insert this.linkSetup}} />
      </div>
    </PictureWithOptions>
  </div>

  <div class="card-article-container">
    <div class="card-title">
      <Card::Components::ExtraTitleFields @record={{@record}} @options={{@value.data}} @deviceSize={{@deviceSize}}
        @name={{@value.name}} @gid={{@value.gid}} @path={{@path}} {{did-insert this.linkSetup}} />
    </div>

    <Card::Components::Description @record={{@record}} @options={{@value.data}} @deviceSize={{@deviceSize}}
      @path={{@path}} data-name={{@value.name}} />

    <Card::Components::ExtraFields @record={{@record}} @options={{@value.data}} @deviceSize={{@deviceSize}}
      {{did-insert this.linkSetup}} />

    {{#if @record.canEdit}}
      <div class="record-options card-options {{if this.isAdminView ' is-open'}}" {{did-insert this.setupOptions}}>
        <button type="button" class="btn btn-extend rounded-circle {{if this.isAdminView ' rotate'}}"
          {{on "click" this.showAdmin}}>
          <FaIcon @icon="ellipsis-h" />
        </button>

        <div class="dropdown-menu">
          <ModelActions::Record @record={{@record}} @onDelete={{@onDelete}} />
        </div>
      </div>
    {{/if}}
  </div>
</div>